<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('custom_offer_product', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('custom_offer_id');
            $table->unsignedBigInteger('product_id');
            $table->timestamps();

            $table->foreign('custom_offer_id')->references('id')->on('custom_offers')->onDelete('cascade');
            $table->foreign('product_id')->references('id')->on('products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('custom_offer_product');
    }
};
